sort {base} | R Documentation

## Sort a Vector

### Usage

    sort(x, partial = NULL, na.last = NA)

### Details

If `partial` is non `NULL`, it is taken to contain indexes of elements of `x` which are to be placed in their correct positions by partial sorting. After the sort, the values specified in `partial` are in their correct position in the sorted array. Any values smaller than these values are guaranteed to have a smaller index in the sorted array and any values which are greater are guaranteed to have a bigger index in the sorted array.

If `na.last` is `NA`, `sort` removes missing values. If `na.last` is `TRUE`, missing values are put last, if `FALSE`, missing values are put first.

### See Also

`order`, `rank`.

### Examples

    data(swiss)
    x <- swiss$Education[1:25]
    x; sort(x); sort(x, partial = c(10,15))
    median # shows you another example for `partial'

[Package Contents]